package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.GetQuestionInfoDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.vo.GetQuestionInfoVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-11-23
 */
public interface QuestionInfoMapper extends BaseMapper<QuestionInfo> {

    public void deleteByIds(Map map);

    public List<QuestionInfo> index(Map map);

    /**
     * 根据名称获取标签信息
     * @param getQuestionInfoVO
     * @return
     */
    public List<GetQuestionInfoDTO> getQuestiongInfoByName(GetQuestionInfoVO  getQuestionInfoVO);

}
